Issue 110565 - framework: we should use radiobuttons for mutually exclusive options in menus
framework: we should use radiobuttons for mutually exclusive options in menus
Status: CLOSED FIXED
Product: General
Classification: Code
Component: code
DEV300m75
All Linux, all
: P3 Trivial (vote)
: OOo 3.3
Assigned To: stefan.baltzer
issues@framework
:
Depends on:
Blocks: 97765
  Show dependency treegraph
 
Reported: 2010-04-02 13:05 UTC by caolanm
Modified: 2010-05-26 17:06 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
how about this (25.01 KB, patch)
2010-04-02 13:06 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2010-04-02 13:05:29 UTC
e.g. for writer's format->alignment and format->anchor we display checkboxes for
mutually exclusive options. We should use option boxes for those. After issue
105626 this becomes rather easier than in the past. Attached is a patch that add
"radio" as an option for menu:style and sets those alignment and anchor menu
options to use that style.
Comment 1 caolanm 2010-04-02 13:06:30 UTC
Created attachment 68705 [details]
how about this
Comment 2 carsten.driesner 2010-04-06 09:08:34 UTC
cd->cmc: Thanks for your patch, Caolan. This is a nice and easy enhancement,
please go on and apply it to a CWS.
Comment 3 caolanm 2010-04-06 09:34:08 UTC
righteo
Comment 4 caolanm 2010-04-08 17:31:47 UTC
done in cmcfixes74
Comment 5 caolanm 2010-04-13 09:58:53 UTC
Changes are:
calc:
a) view->normal/page break preview are now radio buttons, not checkboxes
b) format->anchor->options are now radio buttons, not checkboxes
c) format->alignment, each group are now sets of radio buttons, not checkboxes
d) right click->anchor->options are now radio buttons, not checkboxes

draw:
a) view->normal/master are now radiobuttons, not checkboxes
b) view->color->options are now radiobuttons, not checkboxes

database:
a) view->database object->options are now radiobuttons, not checkboxes
b) preview->options are now radiobuttons, not checkboxes

writer;
a) edit->selection mode->both options are now radio buttons, not checkboxes
b) format->anchor, all options are now radio buttons, not checkboxes
c) format->alignment, first group of four are now radio buttons, not checkboxes
d) tools->language->for selection->options. When the selection resolves to a
single language these are now radio buttons, not checkboxes. Except for
"more..." which is always a normal menu entry. If the selection resolves to more
than one language, then they are all normal menu entries. "For paragraph", "For
All Text", all remain as normal menu entries.
e) click on language in status bar, "more" is now just a normal menu entry, not
an option button. The other entries, and sub menus follow the logic of d), i.e.
toplevel are option buttons when they can be, otherwise normal entries.
Sublevels are all normal entries.
f) right click incorrectly spelled word, set language for selection/paragraph
follows same logic as e)
g) right click->anchor->options are now radio buttons, not checkboxes
h) right click->alignment no longer has the radio button symbol to its left. It
makes no sense there.

impress:
a) view->options are now radiobuttons, not checkboxes
b) view->color->options are now radiobuttons, not checkboxes

In impress, view->master->slide/notes remain as checkboxes, but IMO there are
really three mutually exclusive states in here and a good follow-up idea here
would be a follow up task to change it to three radio buttons like the database
view->preview of e.g. "none", "slide master", "notes master".
Comment 6 caolanm 2010-04-13 17:34:41 UTC
reassign for qa
Comment 7 stefan.baltzer 2010-05-06 07:41:37 UTC
Verified in CWS sdfindall.
Comment 8 caolanm 2010-05-26 17:06:06 UTC
closing, integrated DEV300_m79